none
.net framework 2.0 sp1 cannot install in windows 7 RRS feed

  • Question

  • Recently, I got a new cellphone HTC Snap S521, the mobile's OS was windows mobile 6.5, so I want to develop some own software for myself. but, I met the first question when I installed Windows Mobile 6 Standard SDK Refresh for VS2005 in windows 7, the first question was that Not Installed .net framework 2.0 sp1. Then I downloaded the .net framework 2.0 sp1 from microsoft website and installed it, actually, i met other question,  windows 7 told me how to install the .net framework 2.0 sp1(go to control panel, open turn windows feature on or off, i have no idea about it, i cannot find any click bottom or text link to install  the .net framework 2.0 sp1), i followed this rule, but there is no effect. I don't know how to handle those questions. any help.
    Thank you so much.
    Tuesday, February 23, 2010 8:18 AM

Answers

  • Hi Spabwe,

    Welcome to MSDN forums.

    For Windows 7, .NET Framework 3.5 with SP1 is shipped with it as one of OS component.
    For .NET Framework 3.5 with SP1, it includes .NET 2.0 with SP2 and .NET 3.0 with SP2 as prerequisite.
    This means, you have the .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 plus a few post 3.5 SP1 bug fixes on Windows 7. They are OS components. We don't need to manually install it.

    I think that you can directly install Windows Mobile 6 Standard SDK Refresh for VS2005.

    Hope this helps! If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by YiChun Chen Tuesday, March 2, 2010 7:03 AM
    Thursday, February 25, 2010 8:44 AM

All replies

  • Hi Spabwe,

    Welcome to MSDN forums.

    For Windows 7, .NET Framework 3.5 with SP1 is shipped with it as one of OS component.
    For .NET Framework 3.5 with SP1, it includes .NET 2.0 with SP2 and .NET 3.0 with SP2 as prerequisite.
    This means, you have the .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 plus a few post 3.5 SP1 bug fixes on Windows 7. They are OS components. We don't need to manually install it.

    I think that you can directly install Windows Mobile 6 Standard SDK Refresh for VS2005.

    Hope this helps! If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by YiChun Chen Tuesday, March 2, 2010 7:03 AM
    Thursday, February 25, 2010 8:44 AM
  • Thank you for that information but I still get the message that it needs to be installed. I guess it doesn't hurt anything but that message keeps popping up and it bugs me.
    Betty Fox
    Friday, January 6, 2012 8:44 PM